Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 192475 - A11Y: Buttons in Debugging view are not reachable by keyboard
A11Y: Buttons in Debugging view are not reachable by keyboard
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Code
7.0
PC Linux
: P2 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@debugger
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-25 14:58 UTC by Jiri Kovalsky
Modified: 2010-12-01 13:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Kovalsky 2010-11-25 14:58:31 UTC
Product Version: NetBeans IDE Dev (Build 201011250001)
Java: 1.6.0_17; Java HotSpot(TM) Client VM 14.3-b01
System: Linux version 2.6.31-22-generic running on i386; UTF-8; en_US (nb)
Userdir: /home/cesilko/.netbeans/dev

All buttons controlling debugging view are not accessible by keyboard and thus unusable for blind people. In particular it concerns "Show Less", "Show thread groups", "Show suspend/resume table", "Show system threads", "Show monitors", "Show qualified names", "Sort by suspended/resumed state", "Sort by name" and "Sort by default" buttons. The "arrow" button when more than 1 breakpoint is hit is also not accessible.
Comment 1 Martin Entlicher 2010-11-28 10:29:22 UTC
The buttons are implemented in a similar way to Navigator buttons. And these are also not accessible via TAB. As a workaround, popup menu can be used.
If there are any selections, CTRL-SPACE unselects them and SHIFT-F10 shows a context menu. Options submenu contains the same menu items that are represented as buttons below.

I've added mnemonics to these menu items in changeset:   183383:2a198768c80d
http://hg.netbeans.org/main/rev/2a198768c80d
Comment 2 Quality Engineering 2010-11-29 06:27:53 UTC
Integrated into 'main-golden', will be available in build *201011290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2a198768c80d
User: mentlicher@netbeans.org
Log: #192475 Define mnemonics for popup menu items in Debugging view.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo